some cleanups in regards to requirements
[glsdk/gst-plugins-ugly0-10.git] / REQUIREMENTS
1 GStreamer uses a *large* array of tools and libraries, most of which are
2 optional.  We have attempted to make sure that any code that depends on
3 optional libraries doesn't get built unless you have those libraries.  If
4 you find this not to be the case, please, let us know by filing a bug
5 report at http://bugzilla.gnome.org/.
8 Required tools:
9 ===============
11 An extra set of tools is required if you wish to build GStreamer out of
12 CVS (using autogen.sh):
14 autoconf 2.52 or better 
15 automake 1.5
16 gettext 0.11.5
17 libtool v1.4 or better
18 pkgconfig 0.9.0 or better (http://www.freedesktop.org/software/pkgconfig/)
20 Required libraries:
21 ===================
23 The core GStreamer libraries. See the gstreamer/ module in GStreamer cvs, or
24 the version that corresponds to this plugin release.
26 Optional libraries:
27 ===================
29 This file lists supporting libraries for which gst-plugins contains plugins,
30 as well as their minimum version.  You can find the corresponding plugins in
31 ext/(library)
33 libHermes       (for colorspace conversions; you need this for any video work)
34                         http://www.clanlib.org/hermes/
35 libaudiofile    (for afsrc/afsink
36                         http://oss.sgi.com/projects/audiofile/
37 libmad          (for the mad mp3 decoder plugin)
38                         http://www.mars.org/home/rob/proj/mpeg/
39 libjpeg         (for jpegenc/jpegdec)
40                         http://www.ijg.org/
41 libopenquicktime (for the QT plugin)
42                         http://sourceforge.net/projects/openquicktime/
43 libXv           (for videosink)
44 libxaudio       (for xa mp3 decoder)
45                         http://www.xaudio.com/
46 libvorbis       (for vorbisenc, vorbisdec)
47                         http://www.xiph.org/ogg/vorbis/index.html
48 libcdparanoia   (for cdparanoia ripper)
49                         http://www.xiph.org/paranoia/index.html
50 liblame         (for lame mp3 encoder)
51                         http://www.mp3dev.org/mp3/
52 libshout        (for the shoutcast plugin)
53                         http://www.icecast.org
54 libasound       (for the alsa src/sink plugin)
55                         http://alsa-project.org/
56 librtp          (for the rtp sink plugin)
57                         http://www.linphone.org/ortp/
58 aalib           (for the aa sink plugin)
59                         http://aa-project.sourceforge.net/aalib/
60 aRts            (for the arts plugin wrapper, and the artsd sink)
61                         http://www.arts-project.org
62 raw1394/linux1394       (for the dv plugin)
63                         http://linux1394.sourceforge.net
64 libdvdread      (for the dvdsrc)
65                         http://www.dtek.chalmers.se/groups/dvd/
66                         (optional: libcss for encrypted DVDs)
67 libdvdnav       (for the dvdnavsrc)
68                         http://dvd.sourceforge.net/
69                         (optional: libcss for encrypted DVDs)
70                 >= 0.1.9
71 libesound       (for the esd sink 
72                         ftp.gnome.org/pub/GNOME/stable/sources/esound)
73 gnome-vfs       (for the gnome-vfs src)
74                 >= 2.4.0
75 libgsm          (for the gsm plugin)
76                         http://kbs.cs.tu-berlin.de/~jutta/toast.html
77 sdl             (for the sdl sink)
78                         http://www.libsdl.org
79 xmms            (for the xmms plugins wrapper)
80                         http://www.xmms.org
81 mpeg2dec/a52dec (for mpeg2 related plugins and dvd playback)
82                         http://libmpeg2.sourceforge.net/
83                         and http://liba52.sourceforge.net/
84                 >=      v0.3.1/v0.7.2
85 swfdec          (for the swfdec plugin)
86                         http://swfdec.sourceforge.net
87                 >=      0.2.0
88 flac            (for the FLAC lossless audio format)
89                         http://flac.sourceforge.net
90                 >= 1.0.3 preferred, 1.0.2 should work
91 gtk             (for the gdk_pixbuf plugin)
92                         http://www.gtk.org/
93                 >= 2.2.1 preferred, 2.0 ok
94 pango           (for the textoverlay plugins)
95                         http://www.pango.org/
96 libHermes       (for colorspace conversion;most use ffcolorspace instead)
97                         http://www.clanlib.org/hermes/
100 Optional debian packages:
101 =========================
103 gtk-doc-tools 0.4-0.2  -- needed to build documentation